Index: /pjproject/trunk/pjsip/src/test-pjsip/transport_test.c
===================================================================
--- /pjproject/trunk/pjsip/src/test-pjsip/transport_test.c	(revision 126)
+++ /pjproject/trunk/pjsip/src/test-pjsip/transport_test.c	(revision 127)
@@ -19,5 +19,5 @@
 
 #include "test.h"
-#include <pjsip_core.h>
+#include <pjsip.h>
 #include <pjlib.h>
 
@@ -102,6 +102,4 @@
     PJSIP_MOD_PRIORITY_TSX_LAYER-1,	/* Priority		*/
     NULL,				/* User data.		*/
-    0,					/* Number of methods supported (=0). */
-    { 0 },				/* Array of methods (none) */
     NULL,				/* load()		*/
     NULL,				/* start()		*/
@@ -306,6 +304,4 @@
     PJSIP_MOD_PRIORITY_TSX_LAYER-1,	/* Priority		*/
     NULL,				/* User data.		*/
-    0,					/* Number of methods supported (=0). */
-    { 0 },				/* Array of methods (none) */
     NULL,				/* load()		*/
     NULL,				/* start()		*/
Index: /pjproject/trunk/pjsip/src/test-pjsip/transport_udp_test.c
===================================================================
--- /pjproject/trunk/pjsip/src/test-pjsip/transport_udp_test.c	(revision 126)
+++ /pjproject/trunk/pjsip/src/test-pjsip/transport_udp_test.c	(revision 127)
@@ -19,5 +19,5 @@
 
 #include "test.h"
-#include <pjsip_core.h>
+#include <pjsip.h>
 #include <pjlib.h>
 
Index: /pjproject/trunk/pjsip/src/test-pjsip/tsx_basic_test.c
===================================================================
--- /pjproject/trunk/pjsip/src/test-pjsip/tsx_basic_test.c	(revision 126)
+++ /pjproject/trunk/pjsip/src/test-pjsip/tsx_basic_test.c	(revision 127)
@@ -19,5 +19,5 @@
 
 #include "test.h"
-#include <pjsip_core.h>
+#include <pjsip.h>
 #include <pjlib.h>
 
Index: /pjproject/trunk/pjsip/src/test-pjsip/tsx_uac_test.c
===================================================================
--- /pjproject/trunk/pjsip/src/test-pjsip/tsx_uac_test.c	(revision 126)
+++ /pjproject/trunk/pjsip/src/test-pjsip/tsx_uac_test.c	(revision 127)
@@ -19,5 +19,5 @@
 
 #include "test.h"
-#include <pjsip_core.h>
+#include <pjsip.h>
 #include <pjlib.h>
 
@@ -104,6 +104,4 @@
     PJSIP_MOD_PRIORITY_APPLICATION-1,	/* Priority		*/
     NULL,				/* User data.		*/
-    0,					/* Number of methods supported (=0). */
-    { 0 },				/* Array of methods (none) */
     NULL,				/* load()		*/
     NULL,				/* start()		*/
@@ -125,6 +123,4 @@
     PJSIP_MOD_PRIORITY_APPLICATION-1,	/* Priority		*/
     NULL,				/* User data.		*/
-    0,					/* Number of methods supported (=0). */
-    { 0 },				/* Array of methods (none) */
     NULL,				/* load()		*/
     NULL,				/* start()		*/
Index: /pjproject/trunk/pjsip/src/test-pjsip/tsx_uas_test.c
===================================================================
--- /pjproject/trunk/pjsip/src/test-pjsip/tsx_uas_test.c	(revision 126)
+++ /pjproject/trunk/pjsip/src/test-pjsip/tsx_uas_test.c	(revision 127)
@@ -19,5 +19,5 @@
 
 #include "test.h"
-#include <pjsip_core.h>
+#include <pjsip.h>
 #include <pjlib.h>
 
@@ -143,6 +143,4 @@
     PJSIP_MOD_PRIORITY_APPLICATION-1,	/* Priority		*/
     NULL,				/* User data.		*/
-    0,					/* Number of methods supported (=0). */
-    { 0 },				/* Array of methods (none) */
     NULL,				/* load()		*/
     NULL,				/* start()		*/
@@ -164,6 +162,4 @@
     PJSIP_MOD_PRIORITY_APPLICATION-1,	/* Priority		*/
     NULL,				/* User data.		*/
-    0,					/* Number of methods supported (=0). */
-    { 0 },				/* Array of methods (none) */
     NULL,				/* load()		*/
     NULL,				/* start()		*/
Index: /pjproject/trunk/pjsip/src/test-pjsip/txdata_test.c
===================================================================
--- /pjproject/trunk/pjsip/src/test-pjsip/txdata_test.c	(revision 126)
+++ /pjproject/trunk/pjsip/src/test-pjsip/txdata_test.c	(revision 127)
@@ -19,5 +19,5 @@
 
 #include "test.h"
-#include <pjsip_core.h>
+#include <pjsip.h>
 #include <pjlib.h>
 
Index: /pjproject/trunk/pjsip/src/test-pjsip/uri_test.c
===================================================================
--- /pjproject/trunk/pjsip/src/test-pjsip/uri_test.c	(revision 126)
+++ /pjproject/trunk/pjsip/src/test-pjsip/uri_test.c	(revision 127)
@@ -18,5 +18,5 @@
  */
 #include "test.h"
-#include <pjsip_core.h>
+#include <pjsip.h>
 #include <pjlib.h>
 
@@ -318,5 +318,5 @@
 {
     /* "sip:localhost" */
-    pjsip_sip_uri *url = pjsip_url_create(pool, 0);
+    pjsip_sip_uri *url = pjsip_sip_uri_create(pool, 0);
 
     pj_strdup2(pool, &url->host, "localhost");
@@ -327,5 +327,5 @@
 {
     /* "sip:user@localhost" */
-    pjsip_sip_uri *url = pjsip_url_create(pool, 0);
+    pjsip_sip_uri *url = pjsip_sip_uri_create(pool, 0);
 
     pj_strdup2( pool, &url->user, "user");
@@ -338,5 +338,5 @@
 {
     /* "sip:user:password@localhost:5060" */
-    pjsip_sip_uri *url = pjsip_url_create(pool, 0);
+    pjsip_sip_uri *url = pjsip_sip_uri_create(pool, 0);
 
     pj_strdup2( pool, &url->user, "user");
@@ -351,5 +351,5 @@
 {
     /* Like: "sip:localhost:5060", but without the port. */
-    pjsip_sip_uri *url = pjsip_url_create(pool, 0);
+    pjsip_sip_uri *url = pjsip_sip_uri_create(pool, 0);
 
     pj_strdup2(pool, &url->host, "localhost");
@@ -360,5 +360,5 @@
 {
     /* "sip:localhost;transport=tcp;user=ip;ttl=255;lr;maddr=127.0.0.1;method=ACK" */
-    pjsip_sip_uri *url = pjsip_url_create(pool, 0);
+    pjsip_sip_uri *url = pjsip_sip_uri_create(pool, 0);
 
     pj_strdup2(pool, &url->host, "localhost");
@@ -387,5 +387,5 @@
        "?Subject=Hello%20There&Server=SIP%20Server" 
      */
-    pjsip_sip_uri *url = pjsip_url_create(pool, 0);
+    pjsip_sip_uri *url = pjsip_sip_uri_create(pool, 0);
 
     pj_strdup2(pool, &url->host, "localhost");
@@ -406,5 +406,5 @@
 {
     /* "sips:localhost" */
-    pjsip_sip_uri *url = pjsip_url_create(pool, 1);
+    pjsip_sip_uri *url = pjsip_sip_uri_create(pool, 1);
 
     pj_strdup2(pool, &url->host, "localhost");
@@ -418,5 +418,5 @@
     pjsip_sip_uri *url;
 
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*) url;
 
@@ -431,5 +431,5 @@
     pjsip_sip_uri *url;
 
-    url = pjsip_url_create(pool, 1);
+    url = pjsip_sip_uri_create(pool, 1);
     name_addr->uri = (pjsip_uri*) url;
 
@@ -445,5 +445,5 @@
     pjsip_sip_uri *url;
 
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*) url;
 
@@ -461,5 +461,5 @@
     pjsip_sip_uri *url;
 
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*) url;
 
@@ -475,5 +475,5 @@
     pjsip_sip_uri *url;
 
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*) url;
 
@@ -489,5 +489,5 @@
     pjsip_sip_uri *url;
 
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*) url;
 
@@ -501,5 +501,5 @@
     /* "sip:localhost;pvalue=\"hello world\"" */
     pjsip_sip_uri *url;
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     pj_strdup2(pool, &url->host, "localhost");
     //pj_strdup2(pool, &url->other_param, ";pvalue=\"hello world\"");
@@ -514,5 +514,5 @@
     pjsip_sip_uri *url;
 
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     name_addr->uri = (pjsip_uri*) url;
 
@@ -529,5 +529,5 @@
     /* "sip:abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_.com" */
     pjsip_sip_uri *url;
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     pj_strdup2(pool, &url->host, ALPHANUM "-_.com");
     return (pjsip_uri*)url;
@@ -538,5 +538,5 @@
     /* "sip:" USER_CHAR ":" PASS_CHAR "@host" */
     pjsip_sip_uri *url;
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     pj_strdup2(pool, &url->user, USER_CHAR);
     pj_strdup2(pool, &url->passwd, PASS_CHAR);
@@ -549,5 +549,5 @@
     /* "sip:host;user=ip;" PARAM_CHAR "%21=" PARAM_CHAR "%21;lr;other=1;transport=sctp;other2" */
     pjsip_sip_uri *url;
-    url = pjsip_url_create(pool, 0);
+    url = pjsip_sip_uri_create(pool, 0);
     pj_strdup2(pool, &url->host, "host");
     pj_strdup2(pool, &url->user_param, "ip");
Index: /pjproject/trunk/svn_add
===================================================================
--- /pjproject/trunk/svn_add	(revision 127)
+++ /pjproject/trunk/svn_add	(revision 127)
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+svn add $1
+svn pset svn:keywords id $1
+svn pset svn:eol-style native $1
+
